Subject: bug#24857: closed (Re: Anybody needs help to set up a qemu VM for GNU/Hurd?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Dec 2016 15:51:02 +0000

Your bug report

#24857: emacs24/25 FTBFS since a long time on GNU/Hurd

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24857: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24857
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Anybody needs help to set up a qemu VM for GNU/Hurd?
From: Paul Eggert <[email-masked]>
To: [email-masked], Clément Pit--Claudel<[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 8 Dec 2016 07:50:16 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12/08/2016 01:12 AM, Svante Signell wrote:
> I've also successfully built different emacs tarballs and git repos. 
> The problem is building again, or worse: to build a Debian package, 
> which copies the whole emacs tree into three different build 
> directories: build-x, build-nox, build-lucid, as well as rebuilding 
> all *.elc files. See bug #24857, especially comments #86,89,92,95 of 
> that bug, for more info where Clément Pit--Claudel did the same as you.

OK, but that appears to be a problem with the Debian build procedure, 
not with Emacs per se.

>> So, it sounds like we can declare victory against this bug, at least for
>> the master branch. At least, it worked for me, if you ignore the OS
>> crashing during the build. Possibly the crash was because I didn't
>> reboot after the 'apt-get dist-upgrade' (you didn't say to reboot, so I
>> didn't....).
> Sorry, I should have added <reboot> after dist-upgrade especially when
> gnumach/hurd/glibc are updated.
>
>

OK. Closing the Emacs bug report.

Subject: emacs24/25 FTBFS since a long time on GNU/Hurd
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Cc: Svante Signell <[email-masked]>
Date: Wed, 2 Nov 2016 08:20:59 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

[forwarded from http://lists.gnu.org/archive/html/emacs-devel/2016-11/msg00055.html]

From: Svante Signell <[email-masked]>
To: [email-masked]
Date: Wed, 02 Nov 2016 15:16:54 +0100

Since a long time emacs FTBFS due to unknown reasons. The latest version
building was Debian 24.5+1-5, from 27 Nov 2015. Even before successful builds
were by pure luck. One suspicious issue is that emacs use sbrk() for memory
allocation, right? Notably sbrk() is not fool-proof as implemented for Hurd in
glibc. Use of sbrk is found in files alloc.c, unexelf.c and gmalloc.c, which are
all compiled. Avoiding compilation of ralloc.c with 0001-Default-REL_ALLOC-to-
no.patch did not improve the situation.

First time I compiled emacs 25.1 from upstream it passed, second time not.
Compiling Debian versions almost always fail. Moslty the build fails with temacs
failing to execute: Killed. In my opionion it's a real loss not to gave a modern
version of emacs25 available for use in GNU/Hurd (not everybody use vi).

Do anybody of you have an idea on how to solve this problem? Are there patches
available already to try with?

Thanks in advance :)